## guitarix 0.44.1%2Bdfsg1

=== src/gx_head/wscript ===
#! /usr/bin/env python
# encoding: utf-8

import sys
from waflib import Task, Options, Logs
from waflib.TaskGen import extension
import os, shutil

def options(opt):
    guitarix_prog = opt.add_option_group("Guitarix Program Options")
    guitarix_prog.add_option(
        '--no-avahi', action='store_const', default=False, const=True,
        help=('Do not build with avahi support for automatic discovery of'
              ' / connection to Guitarix server instances  [Default: no]'))
    guitarix_prog.add_option(
        '--no-bluez', action='store_const', default=False, const=True,
        help=('Do not build with bluez support for remote'
              ' / connection to Guitarix server instances  [Default: no]'))
    guitarix_prog.add_option(
        '--no-nsm', action='store_const', default=False, const=True,
        help=('Do not build with nsm support for remote'
              ' / connection to NSM server instances  [Default: no]'))
    guitarix_prog.add_option(
        '--jack-session', action='store_const', default=False, const=True,
        help=('Try to build with jack session support  [Default: no]'))

def configure(conf):
    if not Options.options.no_avahi:
        conf.check_cfg(package='avahi-gobject', args='--cflags --libs', uselib_store='AVAHI_GOBJECT', mandatory=1)
        conf.check_cfg(package='avahi-glib', args='--cflags --libs', uselib_store='AVAHI_GLIB', mandatory=1)
        conf.check_cfg(package='avahi-client', args='--cflags --libs', uselib_store='AVAHI_CLIENT', mandatory=1)
        conf.env.HAVE_AVAHI = 1
        conf.define("HAVE_AVAHI", 1)
    if not Options.options.no_bluez:
        conf.check_cfg(package='bluez', args='--cflags --libs', uselib_store='BLUEZ', mandatory=0)
    if not Options.options.no_nsm:
        conf.check_cfg(package='liblo', args='--cflags --libs', uselib_store='LIBLO', mandatory=0)

def gperf2cc(task):
    def generated(node):
        name = node.name.replace('.','-generated.')
        return node.parent.find_or_declare([name]).get_src().abspath()
    if task.env.HAVE_GPERF:
        # task.proc.bldpath() triggers bug in Waf 2.0.19 when logging is active
        cmd = [task.proc.abspath()] + [n.bldpath() for n in task.inputs + task.outputs]
        Logs.debug("runner: system command -> %s" % cmd)
        ret = task.exec_command(cmd, shell=False)
        for out in task.outputs:
            shutil.copy2(out.abspath(), generated(out))
        return ret
    else:
        for out in task.outputs:
            shutil.copy2(generated(out), out.abspath())
        return 0

Task.task_factory(
    'gperf',
    gperf2cc,
    color='BLUE',
    before='cxx',
    )

@extension('.gperf_tmpl')
def process_gperf_tmpl(self, node):
    cc_node = node.change_ext('.cc')
    h_node = node.change_ext('.h')
    task = self.create_task('gperf', [node], [cc_node, h_node])
    p = "tools/make_jsonrpc_methods"
    task.proc = self.bld.srcnode.find_resource(p)
    self.bld.add_manual_dependency(node, task.proc)

def build(bld):
    if not (bld.env.STANDALONE or bld.env.NEW_LADSPA):
        return

    sources_engine_shared = [
        'engine/gx_json.cpp',
        'engine/gx_faust_plugins.cpp',
        'engine/gx_internal_plugins.cpp',
        'engine/gx_engine_audio.cpp',
        'engine/gx_paramtable.cpp',
        'engine/gx_convolver.cpp',
        'engine/gx_resampler.cpp',
        'engine/gx_system.cpp',
        'engine/gx_logging.cpp',
        'engine/gx_pluginloader.cpp',
        ]
    sources_engine = [
        './engine/ladspaplugin.cpp',
        './engine/ladspaback.cpp',
        './engine/tunerswitcher.cpp',
        './engine/jsonrpc.cpp',
        './engine/gx_jack.cpp',
        './engine/gx_preset.cpp',
        './engine/gx_internal_ui_plugins.cpp',
        './engine/gx_pitch_tracker.cpp',
        './engine/gx_engine.cpp',
        './engine/jsonrpc_methods.gperf_tmpl',
        ]

    sources_gui = [
        './gui/machine.cpp',
        './gui/ladspalist.cpp',
        './gui/gx_stackbox_builder.cpp',
        './gui/gx_main_window.cpp',
        './gui/liveplay.cpp',
        './gui/rack.cpp',
        './gui/gx_preset_window.cpp',
        './gui/gx_jack_options.cpp',
        './gui/gx_ui_builder.cpp',
        './gui/gx_gui_helpers.cpp',
        './gui/gx_child_process.cpp',
        './gui/gx_main_midi.cpp',
        './gui/gx_jconv_settings.cpp',
        './gui/gx_sequencer_settings.cpp',
        './gui/gxw_mm_controllers.cpp',
        './gui/gx_main_boxes.cpp',
        './gui/gx_portmap.cpp',
        './gui/gx_main.cpp',
        ]

    builder_files = [
        './builder/midi.glade',
        './builder/midi_channel.glade',
        './builder/ports.glade',
        './builder/iredit.glade',
        './builder/iredit_mono.glade',
        './builder/jackstarter.glade',
        './builder/mainpanel.glade',
        './builder/ampbox.glade',
        './builder/liveplay.glade',
        './builder/ladspaliste.glade',
        './builder/crybaby_ui.glade',
        './builder/wah_ui.glade',
        './builder/vibe_ui.glade',
        './builder/vibe_stereo_ui.glade',
        './builder/reversedelay_ui.glade',
        './builder/gx_distortion_ui.glade',
        './builder/gx_record_ui.glade',
        './builder/gx_st_record_ui.glade',
        './builder/gx_detune_ui.glade',
        './builder/abgate_ui.glade',
        './builder/amp.tonestack_ui.glade',
        './builder/ampimpulse_ui.glade',
        './builder/ampimpulse_st_ui.glade',
        './builder/cabinet_ui.glade',
        './builder/cabinet_stereo_ui.glade',
        './builder/jconv_ui.glade',
        './builder/jconv_st_ui.glade',
        './builder/oscilloscope_ui.glade',
        './builder/drumsequencer_ui.glade',
        './builder/dubber_ui.glade',
        './builder/metronome_ui.glade',
        './builder/tremolo_ui.glade',
        './builder/pluginpreset_inputwindow.glade',
        './builder/pluginpreset_listwindow.glade',
        './builder/pluginpreset_connectwindow.glade',
        './builder/selectinstance.glade',
        './builder/Sequencer.glade',
        './builder/vumeter_ui.glade',
        './builder/vumeter_st_ui.glade',
        './builder/poweramps_ui.glade',
        './builder/menu.ui',
        './builder/gx_plugins.png',
        './builder/gx_rack.png',
        './builder/gx_show.png',
        './builder/gx_split.png',
        './builder/gx_tuner.png',
        './builder/gx_config.png',
        './builder/gx_fold.png',
        './builder/gx_fullscreen.png',
        ]

    incl = ['.','./engine','./engine/tabels','../..','..','../headers'] # need ".." for config.h

    if bld.env.NEW_LADSPA:
        bld(name = 'shared_engine',
            features='cxx',
            cxxflags = bld.env.CXXFLAGS_cxxshlib + ['-DNEW_LADSPA', '-fvisibility=hidden'],
            source = sources_engine_shared,
            includes = incl,
            use = ['GLIBMM','GIOMM','LILV','gxwmm_inc','ZITA_CONVOLVER','ZITA_RESAMPLER'],
            )

    if not bld.env.STANDALONE:
        return

    if bld.env.HAVE_AVAHI:
        sources_gui.append("gui/avahi_discover.cpp")
        sources_engine.append("engine/avahi_register.cpp")
    sources = sources_engine + sources_engine_shared + sources_gui
    uselib = ['JACK', 'SNDFILE', 'GTHREAD', 'GMODULE_EXPORT', 'CURL', 'LIBLO',
              'GTK2', 'GTKMM', 'GIOMM', 'FFTW3', 'LRDF', 'LILV', 'BOOST_SYSTEM','BOOST_IOSTREAMS',
              'ZITA_CONVOLVER','ZITA_RESAMPLER']
    if bld.env.HAVE_AVAHI:
        uselib += ['AVAHI_GOBJECT', 'AVAHI_GLIB', 'AVAHI_CLIENT']
    if bld.env.HAVE_BLUEZ:
        uselib.append('BLUEZ')
    if bld.env.HAVE_PLUGINLIB:
        uselib += ["plugins"]
    uselib += ['gxwmm']
    bld.program(
        includes = incl,
        source = sources,
        use = uselib,
        target = bld.env.BIN_NAME,
        chmod = 0o755,
        install_path = bld.env.BINDIR,
        ldscript = 'guitarix.lds',
        mapfile = "guitarix.map",
        )
    bld.install_files(bld.env.GX_BUILDER_DIR, builder_files, chmod=0o644)
    if "RUN_DOXYGEN" in os.environ:
        # save source file list and include paths for use by doxygen
        bld(rule="echo ${SRC} > ${TGT}",
            source = [src for src in sources if not src.endswith('.gperf_tmpl')],
            target = 'input_gx_head.txt',
            )
        bld(rule = "echo ${CPPPATH_ST:INCPATHS} > ${TGT}",
            features = "use uselib includes",
            includes = incl,
            use = uselib,
            source = "gui/gx_main.cpp",
            target = 'clang_options.txt',
            )

=== debian/changelog ===
guitarix (0.44.1+dfsg1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 05 Aug 2022 13:59:59 -0700

guitarix (0.44.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.44.1+dfsg1 (Closes: #1003147)
  * Drop ftbfs patch, applied by upstream
  * Install new metainfo file
  * d/copyright: Add new metainfo file and FSFAP license
  * d/copyright: Bump years and add myself to the d/ section
  * Remove obsolete d/guitarix.dirs

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 04 May 2022 16:21:54 +0200

## guitarix 0.44.1+dfsg1

=== wscript ===
#! /usr/bin/env python
# encoding: utf-8

import sys, os, re, shutil
from waflib import Context, Build, Utils, Options, Logs, Configure, Scripting, Task
from waflib.Errors import WafError, ConfigurationError
from waflib.TaskGen import extension, taskgen_method, feature, before_method, after_method

# Waf version check, for global waf installs

if Context.WAFVERSION[:3] != '2.0':
    print('Incompatible Waf, use 2.0')
    sys.exit (1)

# these variables are mandatory ('/' are converted automatically)
srcdir = '.'
blddir = 'build'

# used by waf dist and waf build
VERSION='0.44.1'
APPNAME='guitarix'

Options.OptionsContext.gxload = \
    Configure.ConfigurationContext.gxload = \
        Build.BuildContext.gxload = \
            lambda ctx, tool: ctx.load(tool, tooldir='waftools')

check_in_faust_version = '2.40.0'  # this Faust should be used for checked in generated files
other_faust_versions = ['2.37.3', '2.33.1', '2.30.5'] # other Faust versions known to work

g_maxlen = 40 # maximum width of message for 2-column display

fontmsg = """
RobotoCondensed font not found: please install the fonts-roboto package from your distribution (recommended)
or use --install-roboto-font to install the included roboto font."""

################################################################
# options defined for waf configure
################################################################

def options(opt):

    def add_enable_option (option, desc, group=None, disable=False):
        if group == None:
            group = opt
        option_ = option.replace ('-', '_')
        group.add_option ('--enable-' + option, action='store_true',
            default=False, help='Enable ' + desc, dest='enable_' + option_)
        group.add_option ('--disable-' + option, action='store_true',
            default=disable, help='Disable ' + desc, dest='disable_' + option_)

    opt.add_option('--with-gcov',action='store_true',help='Use gcov for profiling',default=False)
    opt.load('intltool')

    opt.add_option('--no-standalone',
                    action='store_false',
                    dest='standalone',
                    default=True,
                    help=("Don't build standalone (JACK) application"))

    group = opt.add_option_group ('Localization and documentation', '')
    add_enable_option ('nls', 'native language support', group)

    opt.load('compiler_cxx')

    comp = opt.get_option_group("Configuration options")

    opt.gxload('cpu_optimization')

    comp.add_option('--enable-lfs',
                    action='store_const',
                    default=False,
                    const=True,
                    help='enable Large File Support (LFS)  ')

    comp.add_option('--no-desktop-update',
                    action='store_const',
                    default=False, #'-fomit-frame-pointer -ffast-math -fstrength-reduce -pipe',
                    const=True,
                    help='dont automatically update desktop database')


    opt.recurse('libgxw/gxw')
    opt.recurse('libgxwmm/gxwmm')

    opt.gxload('zita-resampler')
    opt.gxload('zita-convolver')

    comp.add_option('--libdir',
                   type='string',
                   default='',
                   dest='libdir',
                   help=('library install path '),
                   )

    opt.gxload('faust')

    ladspa = opt.add_option_group("LADSPA Options (installing ladspa modules)")

    ladspa.add_option('--ladspa',
                    dest='ladspa',
                    action='store_true',
                    default=False,
                    help="Build LADSPA plugins (Default no)")

    ladspa.add_option('--new-ladspa',
                    dest='new_ladspa',
                    action='store_true',
                    default=False,
                    help=("Build new LADSPA plugins (Default no)"))

    ladspa.add_option('--ladspadir',
                    type='string',
                    help='LADSPA plugin directory [Default: <prefix>/lib/ladspa]')

    opt.gxload('lv2')
    opt.gxload('robotofont')

    opt.recurse('pygxw')
    opt.recurse('glade-gxw')

    opt.load('compiler_c') # for pygxw and glade-gxw

    opt.add_option('--dist-tree',
                   type='string',
                   dest='dist_tree',
                   help=("option for 'dist' command: git tree-ish to build"
                         " the archive from [Default: %s]" % 'V%s' % VERSION))

    opt.recurse('src/gx_head')


################################################################
# waf configure
################################################################

################################################################
# configuration display helper functions
#

def print_msg(msg, nl=True):
    s = sys.stdout
    if nl:
        t = "\n"
    else:
        t = " "
    s.write(msg+t)

# a bit of waf display formatting
@Configure.conf
def display_msg(msg, status = None, color = None):
    sr = msg
    global g_maxlen
    g_maxlen = max(g_maxlen, len(msg))
    if status is not None:
        print_msg("%s :" % msg.ljust(g_maxlen),False)
        Logs.pprint(color, status)
    else:
        print_msg("%s" % msg.ljust(g_maxlen))

@Configure.conf
def display_msg_1(self, msg, status = None, color = None):
    sr = msg
    global g_maxlen
    g_maxlen = max(g_maxlen, len(msg))
    if status is not None:
        print_msg("%s :" % msg.ljust(g_maxlen),False)
        Logs.pprint(color, status)
    else:
        print_msg("%s" % msg.ljust(g_maxlen))

def error_msg(msg):
    Utils.eprint('RED', msg)

def display_feature(msg, build):
    if build:
        display_msg(msg, "yes", 'CYAN')
    else:
        display_msg(msg, "no", 'YELLOW')

################################################################
# configuration utility functions
#

def option_enabled (option):
    if getattr (Options.options, 'enable_' + option):
        return True
    if getattr (Options.options, 'disable_' + option):
        return False
    return True

@Configure.conf
def define_with_env(self, varname, value):
    self.env[varname] = value
    self.define(varname, value)

################################################################
# configuration helper functions
#
def check_boost(conf):
    code="""
    #include <boost/system/error_code.hpp>
    int main() { boost::system::error_code c; }
    """
    msg = "Checking for boost-system "
    conf.check_cxx(msg = msg, fragment=code, lib="boost_system", uselib_store="BOOST_SYSTEM", mandatory=1,includes='/opt/local/include', libpath='/opt/local/lib')
    # some boost (>1.49) versions depend on boost-system so we will check for it first
    # and later link against boost_system were boost headers are included.
    boost_atleast_version = 104200
    boost_atleast_vermsg = "1.42"
    code="""
    #include <boost/version.hpp>
    #include <boost/format.hpp>
    #include <boost/thread.hpp>
    #if BOOST_VERSION < %d
    #error
    #endif
    int main(){ return 0; }
    """ % boost_atleast_version
    msg = "Checking for boost >= %s" % boost_atleast_vermsg
    conf.check_cxx(msg = msg, fragment=code, lib="boost_system", mandatory=1)
    #conf.check_cxx(msg = msg, fragment=code, lib="boost_system-mt", mandatory=1,includes='/opt/local/include', libpath='/opt/local/lib')

    msg = "Checking for boost_iostreams >= %s" % boost_atleast_vermsg
    conf.check_cxx(msg = msg, fragment=code, lib=["boost_iostreams","boost_system"], uselib_store="BOOST_IOSTREAMS", mandatory=1)
    #conf.check_cxx(msg = msg, fragment=code, lib=["boost_iostreams","boost_system-mt"], uselib_store="BOOST_IOSTREAMS", mandatory=1, includes='/opt/local/include', libpath='/opt/local/lib')
 
    #try:
    #    conf.check_cxx(
    #        msg = msg % "", fragment=code, lib="boost_thread", uselib_store="BOOST_THREAD",
    #        errmsg="not found, trying boost_thread-mt", mandatory=1)
    #except ConfigurationError:
    #    conf.check_cxx(
    #        msg = msg % "-mt",fragment=code, lib="boost_thread-mt",
    #        uselib_store="BOOST_THREAD", mandatory=1)
    
    # not needed: with boost 1.42 Guitarix doesn't generate code which
    #             references the boost threading lib
    #msg = "Checking for boost_thread%%s >= %s" % boost_atleast_vermsg
    #try:
    #    conf.check_cxx(
    #        msg = msg % "", fragment=code, lib="boost_thread", uselib_store="BOOST_THREAD",
    #        errmsg="not found, trying boost_thread-mt", mandatory=1)
    #except ConfigurationError:
    #    conf.check_cxx(
    #        msg = msg % "-mt",fragment=code, lib="boost_thread-mt",
    #        uselib_store="BOOST_THREAD", mandatory=1)


################################################################
# guitarix waf configuration
#

def configure(conf):
    conf.gxload('bugfixes')
    opt = Options.options

    if opt.disable_sse and opt.optimization:
        display_msg("configuration error", " cant use --disable-sse and --optimization together", 'RED')
        sys.exit(1)

    conf.env['SHAREDIR'] = conf.env['PREFIX'] + '/share'

    if 'LINGUAS' in os.environ:
        conf.env['LINGUAS'] = os.environ['LINGUAS']

    platform = Utils.unversioned_sys_platform()
    conf.env['IS_MACOSX'] = platform == 'darwin'
    conf.env['IS_LINUX'] = platform == 'linux' or platform == 'posix'
    conf.env['IS_SUN'] = platform == 'sunos'

    if conf.env['IS_LINUX']:
        conf.define ('IS_LINUX', platform )

    if conf.env['IS_MACOSX']:
        conf.define ('IS_MACOSX', platform )

    if conf.env['IS_SUN']:
        conf.define ('IS_SUN', platform )

    conf.env['OS'] = platform

    if not opt.disable_nls and opt.standalone :
        conf.load('intltool')
        conf.gxload('intltool_extras')
        if conf.env['INTLTOOL'] and conf.env['MSGFMT']:
            nls = 'yes'
        else:
            if opt.enable_nls:
                Logs.pprint ('RED', 'localization N/A')
                sys.exit (1)
            nls = 'N/A'
            conf.define_with_env('DISABLE_NLS', 1)
    else:
        nls = 'no '
        conf.define_with_env('DISABLE_NLS', 1)
    conf.define ('GETTEXT_PACKAGE', APPNAME)

    nls_flag = int(nls == 'yes')
    conf.define_with_env('ENABLE_NLS', nls_flag)
    # compiler
    conf.load('compiler_cxx')
    conf.gxload('compile-extra')
    if opt.with_gcov:
        conf.find_program('gcov')
        conf.env['CXXFLAGS'] = conf.env['CFLAGS'] = ['-fprofile-arcs', '-ftest-coverage']
        conf.env['LDFLAGS'] = ['-lgcov', '-coverage']
    if opt.python_wrapper or opt.glade_support:
        conf.load('compiler_c')
    # linker flags
    conf.env.append_value('LDFLAGS', opt.ldflags.split())
    conf.env['LINKFLAGS'] = conf.env['LDFLAGS']

    # needed libraries
    conf.check_cfg(package='sndfile', args=['--cflags','--libs','sndfile >= 1.0.17'], uselib_store='SNDFILE', mandatory=1)
    conf.check(header_name='fftw3.h', mandatory=1)
    conf.check_cfg(package='fftw3f', args=['--cflags','--libs','fftw3f >= 3.3.8'], uselib_store='FFTW3', mandatory=1)

    if opt.standalone or opt.new_ladspa:
        try:
            conf.check_cfg(package='jack', args=['--cflags','--libs','jack >= 0.116.2','jack <= 1.8.0'], uselib_store='JACK', msg="Checking for 'jackd1'", mandatory=1)
        except ConfigurationError:
            conf.check_cfg(package='jack', args=['--cflags','--libs','jack >= 1.9.2'], uselib_store='JACK', msg="Checking for 'jackd2'", mandatory=1)
        # jack_session support
        if opt.jack_session:
            code = "#include <jack/session.h>\nint main(){return JackSessionID != 0;}"
            conf.check_cxx(fragment=code, msg="Checking for jack session support", define_name='HAVE_JACK_SESSION')
    if opt.standalone:
        conf.env['STANDALONE'] = True
        conf.check_cfg(package='gmodule-export-2.0', args='--cflags --libs', uselib_store='GMODULE_EXPORT', mandatory=1)
        conf.check_cfg(package='libcurl', args=['--cflags','--libs','libcurl >= 7.26.0'], uselib_store='CURL', mandatory=1)

=== src/faust/wscript ===
#! /usr/bin/env python
# encoding: utf-8

def build(bld):
    if not (bld.env.STANDALONE or bld.env.NEW_LADSPA):
        return

    unused_sources = [
        'preamp.dsp',
        'inputgain.dsp',
        'AntiAlias.dsp',
        'HighShelf.dsp',
        'drive.dsp',
        'osc_tube.dsp',
        'reso_tube.dsp',
        'tube.dsp',
        'tube3.dsp',
        'tubevibrato.dsp',
        'multifilter.dsp',
        'eq.dsp',
        'outputgain.dsp',
        'feed.dsp',
        'balance1.dsp',
        'amp2.dsp',
        'stage3.dsp',
        'distortion.dsp',
        'distortion1.dsp',
        'noisegate.dsp',
        'sloop.dsp', ##float
        'vibe_lfo_triangle.dsp',
        'vibe_mono_lfo_triangle.dsp',
        ]

    sources_float = [
        'jconv_post.dsp',
        ]

    sources = [
        'jconv_post_mono.dsp',
        'presence_level.dsp',
        'cabinet_impulse_former.dsp',
        'cabinet_impulse_former_st.dsp',
        'preamp_impulse_former.dsp',
        'preamp_impulse_former_st.dsp',
        'drumseq.dsp',
        'low_high_cut.dsp',
        ]

    sources_static = [
        'vibe_mono_lfo_sine.dsp',
        'vibe_lfo_sine.dsp',
        ]

    sources_plugin_float = [
        'echo.dsp',
        'delay.dsp',
        'chorus.dsp',
        'chorus_mono.dsp',
        'stereodelay.dsp',
        'stereoecho.dsp',
        'digital_delay.dsp',
        'digital_delay_st.dsp',
        'phaser.dsp',
        'phaser_mono.dsp',
        'crybaby.dsp',
        'autowah.dsp',
        ]

    sources_plugin_double = [
        'selecteq.dsp',

        # tone stacks
        'tonestack_default.dsp',  # this one also ok in single precision
        'tonestack_bassman.dsp',
        'tonestack_twin.dsp',
        'tonestack_princeton.dsp',
        'tonestack_jcm800.dsp',
        'tonestack_jcm2000.dsp',
        'tonestack_mlead.dsp',
        'tonestack_m2199.dsp',
        'tonestack_ac30.dsp',
        'tonestack_soldano.dsp',
        'tonestack_mesa.dsp',
        'tonestack_jtm45.dsp',
        'tonestack_ac15.dsp',
        'tonestack_peavey.dsp',
        'tonestack_ibanez.dsp',
        'tonestack_roland.dsp',
        'tonestack_ampeg.dsp',
        'tonestack_ampeg_rev.dsp',
        'tonestack_sovtek.dsp',
        'tonestack_bogner.dsp',
        'tonestack_groove.dsp',
        'tonestack_crunch.dsp',
        'tonestack_fender_blues.dsp',
        'tonestack_fender_default.dsp',
        'tonestack_fender_deville.dsp',
        'tonestack_gibsen.dsp',
        'tonestack_engl.dsp',
        ]

    sources_plugin = [
        'low_high_pass.dsp',
        'gx_distortion.dsp',
        'bitdowner.dsp',
        'thick_distortion.dsp',
        'impulseresponse.dsp',
        'compressor.dsp',
        'expander.dsp',
        'overdrive.dsp',
        'freeverb.dsp',
        'biquad.dsp',
        'tremolo.dsp',
        'flanger_mono.dsp',
        'gx_feedback.dsp',
        'flanger.dsp',
        'moog.dsp',
        'gx_ampmodul.dsp',
        'tonecontroll.dsp',
        'stereoverb.dsp',
        'softclip.dsp',
        'gx_ampout.dsp',
        'gx_ampout_ladspa.dsp',
        'noise_shaper.dsp',
        'bassbooster.dsp',
        'gx_outputlevel.dsp',
        'gx_outputlevel_ladspa.dsp',
        'gxfeed.dsp',
        'highbooster.dsp',
        'peak_eq.dsp',
        'dattorros_progenitor.dsp',
        'ring_modulator.dsp',
        'ring_modulator_st.dsp',
        'panoram_enhancer.dsp',
        'graphiceq.dsp',
        'bass_enhancer.dsp',
        'gain.dsp',
        'duck_delay.dsp',
        'duck_delay_st.dsp',
        'baxandall.dsp',
        'distortion2.dsp',
        'fuzzface.dsp',
        'trbuff.dsp',
        'colwah.dsp',
        'dallaswah.dsp',
        'foxwah.dsp',
        'maestrowah.dsp',
        'voxwah.dsp',
        'selwah.dsp',
        'jenwah.dsp',
        'colbwah.dsp',
        'rolwah.dsp',
        'jenbasswah.dsp',
        'fizz_remover.dsp',

        # amps
        'gxamp.dsp',
        'gxamp2.dsp',
        'gxamp3.dsp',
        'gxamp4.dsp',
        'gxamp5.dsp',
        'gxamp6.dsp',
        'gxamp7.dsp',
        'gxamp8.dsp',
        'gxamp9.dsp',
        'gxamp10.dsp',
        'gxamp11.dsp',
        'gxamp12.dsp',
        'gxamp13.dsp',
        'gxamp14.dsp',
        'gxamp15.dsp',
        'gxamp16.dsp',
        'gxamp17.dsp',
        'gxamp18.dsp',
        'gxnoamp.dsp',

        # poweramps
        'champ.dsp',
        'epiphone.dsp',
        'orangedarkterror.dsp',
        'princeton.dsp',
        'plexiel34.dsp',
        'supersonic.dsp',

        # bypass mode
        'balance.dsp',
        'dcblocker.dsp',
        'hardlim.dsp',
        ]

    if bld.env['FAUST']:
        arg, float_arg, double_arg = bld.get_faust_args()
        bld(
            source = sources,
            proc = "../tools/dsp2cc",
            separate_header = True,
            proc_args = arg+["--init-type=no-init-instance"],
            )
        bld(
            source = sources_float,
            proc = "../tools/dsp2cc",
            separate_header = True,
            proc_args = float_arg+["--init-type=no-init-instance"],
            )
        bld(
            source = sources_static,
            proc = "../tools/dsp2cc",
            proc_args = arg+["--init-type=no-init"],
            )
        bld(
            source = sources_plugin,
            proc = "../tools/dsp2cc",
            proc_args = arg+["--init-type=plugin-instance"],
            )
        bld(
            source = sources_plugin_float,
            proc = "../tools/dsp2cc",
            proc_args = float_arg+["--init-type=plugin-instance"]
            )
        bld(
            source = sources_plugin_double,
            proc = "../tools/dsp2cc",
            proc_args = double_arg+["--init-type=plugin-instance"]
            )
    else:
        gdir = "../faust-generated/"
        for s in (sources + sources_static + sources_float +
                  sources_plugin_float + sources_plugin_double + sources_plugin):
            s = s.replace(".dsp",".cc")
            bld(name = "copy-faust-cc",
                rule = "cp ${SRC} ${TGT}",
                source = gdir + s,
                target = s,
                )
        for s in sources + sources_float:
            s = s.replace(".dsp",".h")
            bld(name = "copy-faust-h",
                rule = "cp ${SRC} ${TGT}",
                source = gdir + s,
                target = s,
                )
    bld.add_group()

def configure(conf):
    pass

=== tools/ampsim/Makefile ===
CXXFLAGS=-O2 -fPIC -fvisibility=hidden
#CXXFLAGS=-g
INTPP_OPT=-msse2 -mfpmath=sse -ffast-math
LDFLAGS=-fPIC

DSP2CC = ../dsp2cc
GXHEAD = ../../src/headers

.PHONY: clean all

all: pyamp.so gxplugins.so

clean:
	rm -f gxplugins.so gxplugins_.so data.o intpp.o intpp_.o intpp.gcda intpp_.gcda
	rm -f gx_poweramp.o gxpoweramp.cc gxpreamp.cc data.cc intpp_inst.cc data.h
	rm -f pyamp.so pyamp.cpp
	rm -f circuit/components.pyc circuit/__init__.pyc circuit/pycircuit.so
	rm -rf circuit/build
	make -C tensbs clean

install: gxplugins.so
	cp gxplugins.so $(HOME)/.config/guitarix/plugins

gxplugins.so: gx_poweramp.o intpp.o data.o
	$(LINK.cc) -shared -Wl,-soname,gxplugins.so -o gxplugins.so $^ -lzita-resampler

gx_poweramp.o: gx_poweramp.cpp gxpoweramp.cc gxpreamp.cc data.cc intpp.h
	$(COMPILE.cc) $(CXXFLAGS) `pkg-config --cflags glibmm-2.4` -I$(GXHEAD) $< -o $@

gxpoweramp.cc: gxpoweramp.dsp gxpreamp.dsp $(DSP2CC)
	$(DSP2CC) -i plugin gxpoweramp.dsp > $@

gxpreamp.cc: gxpreamp.dsp $(DSP2CC)
	$(DSP2CC) -i plugin gxpreamp.dsp > $@

intpp.o: intpp.cc data.cc intpp.h Makefile intpp.gcda
	$(COMPILE.cc) $(CXXFLAGS) $(INTPP_OPT) -fprofile-use $< -o $@
#	$(COMPILE.cc) $(CXXFLAGS) $(INTPP_OPT) $< -o $@

intpp.gcda: gxplugins_.so exercise.py
	python exercise.py
	@mv intpp_.gcda intpp.gcda

intpp_.o: intpp.cc intpp.h intpp_inst.cc Makefile
	$(COMPILE.cc) $(CXXFLAGS) $(INTPP_OPT) -fprofile-arcs $< -o $@

gxplugins_.so: gx_poweramp.o intpp_.o data.o
	$(LINK.cc) -fprofile-arcs -shared -Wl,-soname,gxplugins_.so -o gxplugins_.so $^ -lzita-resampler

data.cc: gentables.py circuit/components.py circuit/pycircuit.so # tensbs/tensbs.so tensbs/splinetable.py
	python $< data.cc intpp_inst.cc data.h

circuit/pycircuit.so: circuit/circuit.cc circuit/circuit.hpp circuit/pycircuit.pyx circuit/setup.py
	cd circuit && rm -f pycircuit.so && python setup.py build_ext --inplace && rm pycircuit.cpp

tensbs/tensbs.so:
	cd tensbs && make

pyamp.so: pyamp.pyx intpp.o data.o
	@rm -f pyamp.so
	python setup.py build_ext --inplace

=== src/LV2/gx_duck_delay.lv2/wscript ===
#!/usr/bin/env python
# encoding: utf-8

def configure(conf):
    pass

def build(bld):
    lv2_base = 'gx_duck_delay'

    bld.lv2(
        lv2_base = lv2_base,
        source   = ['gx_duck_delay.cpp'],
        includes = ['../faust','./', '../DSP'],
        cxxflags=['-fvisibility=hidden','-Wl,-z,noexecstack','-Wl,-z,relro,-z,now','-Wl,--exclude-libs,ALL'],
        use = ['LV2CORE','FFTW3'],
        )
    bld.lv2_gui(
        lv2_base = lv2_base,
        source   = ' gx_duck_delay_ui.cpp',
        includes = ['../xputty/header','../xputty/header/widgets','../xputty/resources','../xputty/lv2_plugin'],
        cxxflags=['-fvisibility=hidden','-Wl,-z,noexecstack','-Wl,-z,relro,-z,now','-Wl,--exclude-libs,ALL'],
        use = ['xcairo','X11', 'CAIRO','LV2CORE'],
        )

=== src/LV2/gx_duck_delay_st.lv2/Makefile ===
	
	# check if user is root
	user = $(shell whoami)
	ifeq ($(user),root)
	INSTALL_DIR = /usr/lib/lv2
	else 
	INSTALL_DIR = ~/.lv2
	endif
	
	ifneq (cat /proc/cpuinfo | grep sse2 >/dev/null,)
	SSE_CFLAGS = -msse2 -mfpmath=sse
	else ifneq (cat /proc/cpuinfo | grep sse >/dev/null,)
	SSE_CFLAGS = -msse -mfpmath=sse
	else
	SSE_CFLAGS = ""
	endif
	
	# set bundle name
	NAME = gx_duck_delay_st
	BUNDLE = $(NAME).lv2
	VER = 0.1
	# set compile flags
	CXXFLAGS = -I. -I../DSP  -O2 -Wall -funroll-loops -ffast-math -fomit-frame-pointer -fstrength-reduce $(SSE_CFLAGS)
	LDFLAGS = -I. -I../DSP -shared -Llibrary -lc -lm  -fPIC -DPIC  
	# invoke build files
	OBJECTS = $(NAME).cpp 
	## output style (bash colours)
	BLUE = "\033[1;34m"
	RED =  "\033[1;31m"
	NONE = "\033[0m"

.PHONY : all clean install uninstall 

all : $(NAME)
	@mkdir -p ./$(BUNDLE)
	@cp ./*.ttl ./$(BUNDLE)
	@mv ./*.so ./$(BUNDLE)
	@if [ -f ./$(BUNDLE)/$(NAME).so ]; then echo $(BLUE)"build finish, now run make install"; \
	else echo $(RED)"sorry, build failed"; fi
	@echo $(NONE)

clean :
	@rm -f $(NAME).so
	@rm -rf ./$(BUNDLE)
	@echo ". ." $(BLUE)", done"$(NONE)

install : all
	@mkdir -p $(DESTDIR)$(INSTALL_DIR)/$(BUNDLE)
	install ./$(BUNDLE)/* $(DESTDIR)$(INSTALL_DIR)/$(BUNDLE)
	@echo ". ." $(BLUE)", done"$(NONE)

uninstall :
	@rm -rf $(INSTALL_DIR)/$(BUNDLE)
	@echo ". ." $(BLUE)", done"$(NONE)

$(NAME) :
	$(CXX) $(CXXFLAGS) $(OBJECTS) $(LDFLAGS) -o $(NAME).so

=== src/LV2/gx_gcb_95.lv2/wscript ===
#!/usr/bin/env python
# encoding: utf-8

def configure(conf):
    pass

def build(bld):
    lv2_base = 'gx_gcb_95'

    bld.lv2(
        lv2_base = lv2_base,
        source   = ['gx_gcb_95.cpp'],
        includes = ['../faust','./', '../DSP'],
        cxxflags=['-fvisibility=hidden','-Wl,-z,noexecstack','-Wl,-z,relro,-z,now','-Wl,--exclude-libs,ALL'],
        use = ['LV2CORE'],
        )
    bld.lv2_gui(
        lv2_base = lv2_base,
        source   = ' gx_gcb_95_ui.cpp',
        includes = ['../xputty/header','../xputty/header/widgets','../xputty/resources',],
        cxxflags=['-fvisibility=hidden','-Wl,-z,noexecstack','-Wl,-z,relro,-z,now','-Wl,--exclude-libs,ALL'],
        use = ['xcairo','X11', 'CAIRO','LV2CORE'],
        )

=== src/LV2/gx_mbdistortion.lv2/wscript ===
#!/usr/bin/env python
# encoding: utf-8

def configure(conf):
    pass

def build(bld):
    lv2_base = 'gx_mbdistortion'

    bld.lv2(
        lv2_base = lv2_base,
        source   = ['gx_mbdistortion.cpp'],
        includes = ['../faust','./', '../DSP'],
        cxxflags=['-fvisibility=hidden','-Wl,-z,noexecstack','-Wl,-z,relro,-z,now','-Wl,--exclude-libs,ALL'],
        use = ['LV2CORE'],
        )
    bld.lv2_gui(
        lv2_base = lv2_base,
        source   = ' gx_mbdistortion_ui.cpp',
        includes = ['../xputty/header','../xputty/header/widgets','../xputty/resources',],
        cxxflags=['-fvisibility=hidden','-Wl,-z,noexecstack','-Wl,-z,relro,-z,now','-Wl,--exclude-libs,ALL'],
        use = ['xcairo','X11', 'CAIRO','LV2CORE'],
        )

=== src/LV2/gx_mole.lv2/wscript ===
#!/usr/bin/env python
# encoding: utf-8

def configure(conf):
    pass

def build(bld):
    lv2_base = 'gx_mole'

    bld.lv2(
        lv2_base = lv2_base,
        source   = ['gx_mole.cpp'],
        includes = ['../faust','./', '../DSP'],
        cxxflags=['-fvisibility=hidden','-Wl,-z,noexecstack','-Wl,-z,relro,-z,now','-Wl,--exclude-libs,ALL'],
        use = ['LV2CORE'],
        )
    bld.lv2_gui(
        lv2_base = lv2_base,
        source   = ' gx_mole_ui.cpp',
        includes = ['../xputty/header','../xputty/header/widgets','../xputty/resources',],
        cxxflags=['-fvisibility=hidden','-Wl,-z,noexecstack','-Wl,-z,relro,-z,now','-Wl,--exclude-libs,ALL'],
        use = ['xcairo','X11', 'CAIRO','LV2CORE'],
        )

=== src/LV2/gx_oc_2.lv2/wscript ===
#!/usr/bin/env python
# encoding: utf-8

def configure(conf):
    pass

def build(bld):
    lv2_base = 'gx_oc_2'

    bld.lv2(
        lv2_base = lv2_base,
        source   = ['gx_oc_2.cpp'],
        includes = ['../faust','./', '../DSP'],
        cxxflags=['-fvisibility=hidden','-Wl,-z,noexecstack','-Wl,-z,relro,-z,now','-Wl,--exclude-libs,ALL'],
        use = ['LV2CORE','GX_RESAMPLER'],
        )
    bld.lv2_gui(
        lv2_base = lv2_base,
        source   = ' gx_oc_2_ui.cpp',
        includes = ['../xputty/header','../xputty/header/widgets','../xputty/resources',],
        cxxflags=['-fvisibility=hidden','-Wl,-z,noexecstack','-Wl,-z,relro,-z,now','-Wl,--exclude-libs,ALL'],
        use = ['xcairo','X11', 'CAIRO','LV2CORE'],
        )

=== src/LV2/gx_studiopre_st.lv2/wscript ===
#!/usr/bin/env python
# encoding: utf-8

def configure(conf):
    pass

def build(bld):
    lv2_base = 'gx_studiopre_st'

    bld.lv2(
        lv2_base = lv2_base,
        source   = ['gx_studiopre_st.cpp'],
        includes = ['../faust','./', '../DSP', '../DSP/tube_tables', '../DSP/circuit_tables'],
        cxxflags=['-fvisibility=hidden','-Wl,-z,noexecstack','-Wl,-z,relro,-z,now','-Wl,--exclude-libs,ALL'],
        use = ['LV2CORE','GX_RESAMPLER'],
        )
    bld.lv2_gui(
        lv2_base = lv2_base,
        source   = ' gx_studiopre_st_ui.cpp',
        includes = ['../xputty/header','../xputty/header/widgets','../xputty/resources', '../xputty/lv2_plugin'],
        cxxflags=['-fvisibility=hidden','-Wl,-z,noexecstack','-Wl,-z,relro,-z,now','-Wl,--exclude-libs,ALL'],
        use = ['xcairo','X11', 'CAIRO','LV2CORE'],
        )

=== src/LV2/gx_switched_tremolo.lv2/wscript ===
#!/usr/bin/env python
# encoding: utf-8

def configure(conf):
    pass

def build(bld):
    lv2_base = 'gx_switched_tremolo'

    bld.lv2(
        lv2_base = lv2_base,
        source   = ['gx_switched_tremolo.cpp'],
        includes = ['../faust','./', '../DSP'],
        cxxflags=['-fvisibility=hidden','-Wl,-z,noexecstack','-Wl,-z,relro,-z,now','-Wl,--exclude-libs,ALL'],
        use = ['LV2CORE','GX_RESAMPLER'],
        )
    bld.lv2_gui(
        lv2_base = lv2_base,
        source   = ' gx_switched_tremolo_ui.cpp',
        includes = ['../xputty/header','../xputty/header/widgets','../xputty/resources', '../xputty/lv2_plugin'],
        cxxflags=['-fvisibility=hidden','-Wl,-z,noexecstack','-Wl,-z,relro,-z,now','-Wl,--exclude-libs,ALL'],
        use = ['xcairo','X11', 'CAIRO','LV2CORE'],
        )

=== src/LV2/gxbooster.lv2/wscript ===
#!/usr/bin/env python
# encoding: utf-8

def configure(conf):
    pass

def build(bld):
    lv2_base = 'gxbooster'

    bld.lv2(
        lv2_base = lv2_base,
        source   = ['gxbooster.cpp'],
        includes = ['../faust','./', '../DSP'],
        cxxflags=['-fvisibility=hidden','-Wl,-z,noexecstack','-Wl,-z,relro,-z,now','-Wl,--exclude-libs,ALL'],
        use = ['LV2CORE'],
        )
    bld.lv2_gui(
        lv2_base = lv2_base,
        source   = ' gx_booster_ui.cpp',
        includes = ['../xputty/header','../xputty/header/widgets','../xputty/resources',],
        cxxflags=['-fvisibility=hidden','-Wl,-z,noexecstack','-Wl,-z,relro,-z,now','-Wl,--exclude-libs,ALL'],
        use = ['xcairo','X11', 'CAIRO','LV2CORE'],
        )

=== debian/changelog ===
guitarix (0.44.1+dfsg1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info to new format on line 2.
  * Remove constraints unnecessary since buster (oldstable)

  [ Olivier Humbert ]
  * Update d/control: trash -> thrash (thanks to Anders)

  [ Dennis Braun ]
  * Fix FTBFS: ValueError: invalid mode: 'rU' (Closes: #1028735)
  * Refresh patchset
  * Change my email address
  * Bump Standards-Version to 4.6.2
  * Prefer libjack-dev over libjack-jackd2-dev
  * debian/control: Apply wrap-and-sort -ast
  * Remove trailing whitespace in d/copyright
  * Bump my d/copyright year
  * Refresh lintian-overrides
  * Add salsa ci config

 -- Dennis Braun <snd@debian.org>  Tue, 17 Jan 2023 21:33:43 +0100

=== debian/control ===
Source: guitarix
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Víctor Cuadrado Juan <me@viccuad.me>,
 Dennis Braun <snd@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 fonts-roboto,
 gperf,
 intltool,
 ladspa-sdk,
 libavahi-gobject-dev,
 libbluetooth-dev [linux-any],
 libboost-dev,
 libboost-iostreams-dev,
 libboost-system-dev,
 libboost-thread-dev,
 libeigen3-dev,
 libgladeui-dev,
 libgtk-3-dev,
 libgtkmm-3.0-dev,
 libjack-dev | libjack-jackd2-dev,
 liblilv-dev,
 liblrdf0-dev,
 libsndfile1-dev,
 libzita-convolver-dev,
 libzita-resampler-dev,
 lv2-dev,
 python3,
 sassc,
Build-Depends-Indep:
 doxygen,
 graphviz,
Standards-Version: 4.6.2
Homepage: https://guitarix.org
Vcs-Git: https://salsa.debian.org/multimedia-team/guitarix.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/guitarix

Package: guitarix
Architecture: any
Depends:
 fonts-roboto,
 guitarix-common (= ${source:Version}),
 guitarix-ladspa (>= ${source:Version}),
 guitarix-lv2 (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gvfs-backends,
 jack-capture,
 lame,
 vorbis-tools,
Description: Rock guitar amplifier for JACK
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It provides one JACK input port and two JACK output
 ports. It is designed to produce nice thrash/metal/rock/blues guitar sounds.
 Controls for bass, treble, gain, compressor, tube selector, distortion,
 flanger, freeverb, crybaby (wah), etc are available.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package provides the standalone application with a GTK+ interface.

Package: guitarix-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Guitarix - Common files
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 thrash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains Guitarix's Architecture independent files. Examples of
 such shared files are: configuration files, images and sounds.

Package: guitarix-ladspa
Architecture: any
Provides:
 ladspa-plugin,
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Guitarix - ladspa plugins
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 thrash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains the ladspa audio plugins that come together with
 guitarix, but can also be used by any other ladspa host.

Package: guitarix-lv2
Architecture: any
Provides:
 lv2-plugin,
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Guitarix - LV2 plugins
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 thrash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains the LV2 audio plugins that come together with guitarix,
 but can also be used by any other LV2 host.

Package: guitarix-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 libjs-jquery,
 ${misc:Depends},
Suggests:
 guitarix,
Description: Guitarix - Development documentation
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 thrash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains Guitarix's Development documentation.

Package: libgxw0
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Guitarix - GTK+ library
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 thrash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains Guitarix's GTK+ library.

Package: libgxw-dev
Section: libdevel
Architecture: any
Depends:
 libgxw0 (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 guitarix-doc,
Description: Guitarix - GTK+ library (development files)
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 thrash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains development files for Guitarix's GTK+ library.

Package: libgxwmm0
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Guitarix - GTK+ C++ widget library
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 thrash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains Guitarix's GTK+ C++ widget library.

Package: libgxwmm-dev
Section: libdevel
Architecture: any
Depends:
 libgxwmm0 (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 guitarix-doc,
Description: Guitarix - GTK+ C++ widget library (development files)
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 thrash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains development files for Guitarix's GTK+ C++ widget library.

Package: gxw-glade
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Guitarix - GTK+ library Glade support
 Guitarix is a rock guitar amplifier for the JACK Audio Connection Kit with
 one input and two outputs. It is designed to produce nice
 thrash/metal/rock/blues guitar sounds.
 .
 Guitarix is available as a GTK+ interface and the project provides LV2 and
 LADSPA plugins (see the guitarix-lv2 and guitarix-ladspa packages).
 .
 This package contains Guitarix's GTK+ library Glade support.
